/*

Global styles

*/

* {
  background-color: black;
  color: white;
  font-family: 'EB Garamond', serif;
}

body {
  margin: 0 auto;
  padding: 3em 1em;
}

.page {
  /*min-height: 100vh;*/
  display: flex;
}

#page-1,
#page-3 {
  margin: 3em 15%;
}

#page-2 {
  align-items: center;
  justify-content: center;
  margin-bottom: 3em;
}

#page-3 {
  padding-top: 6em;
}

.page > * {
  display: flex;
  flex: 1;
  justify-content: center;
  flex-direction: column;
}

.left {
  padding-right: 10%;
}
.yt-player {
  display: none;
}

.mobile-only {
  display: none;
}

@media screen and (max-width: 900px) {
  .mobile-only {
    display: block;
  }
  .video-player {
    display: none;
  }
  .yt-player {
    display: block;
  }
  .page {
    flex-direction: column;
    align-items: center;
  }
  .left {
    margin-bottom: 2em;
    padding-right: 0%;
  }
  #page-3 .img-wrapper {
    display: none;
  }
}

@media screen and (max-width: 700px) {
  #page-1,
  #page-3 {
    margin: 3em 8%;
  }
}

@media screen and (max-width: 550px) {
  iframe {
    max-width: 100%;
  }
}
/*

IMG styles

*/
.img-wrapper,
.video-player {
  width: 100%;
}

.img-wrapper img {
  height: auto;
  width: 100%;
}

/*

Typography

*/

h1,
h2,
h3,
h4 {
  font-weight: 400;
  margin: 0;
}

p {
  margin-block-end: 0.3em;
  margin-block-start: 0.1em;
  font-style: italic;
  font-size: 1.4em;
}

#swish {
  margin-block-start: 0.6em;
}

#email {
  text-align: center;
  font-size: 1.5em;
}
a {
  text-decoration: none;
}

.main-header {
  font-size: 2.8em;
  margin-bottom: .3em;
}

.main-header,
.secondary-header {
  text-align: center;
}

@media only screen and (max-width: 1080px) {
  .main-header {
    font-size: 2.5em;
  }
}

@media only screen and (max-width: 966px) {
  .main-header {
    font-size: 2em;
  }
  .secondary-header {
    font-size: 1.2em;
  }
}

.secondary-header {
  margin-bottom: 0.5em;
}

.img-wrapper .main-header {
  text-align: center;
}

.img-wrapper h1 {
  margin-top: 0.2em;
}

footer {
  text-align: center;
  font-size: 0.7em;
}

/* Videospelare */
.video-player {
  position: relative;
  font-size: 0;
  overflow: hidden;
}

/* This css is only applied when fullscreen is active. */
.video-player:fullscreen {
  max-width: none;
  width: 100%;
}

.video-player:-webkit-full-screen {
  max-width: none;
  width: 100%;
}

.video {
  width: 100%;
}

button {
  background: none;
  border: 0;
  line-height: 1;
  color: white;
  text-align: center;
  outline: 0;
  padding: 0;
  cursor: pointer;
  max-width: 50px;
}

button:focus {
  border-color: #ffffff;
}

.volume-slider {
  width: 10px;
  height: 30px;
}

.video-controls {
  display: flex;
  position: absolute;
  bottom: 0;
  width: 100%;
  transform: translateY(100%) translateY(-5px);
  transition: all 0.3s;
  flex-wrap: wrap;
  background: rgba(0, 0, 0, 0.1);
}

.video-player:hover .video-controls {
  transform: translateY(0);
}

.video-player:hover .progress {
  height: 10px;
}

@media (hover: none) {
  .video-player .video-controls {
    transform: translateY(0);
  }
  
  .video-player .progress {
    height: 10px;
  }
} 


.video-controls > * {
  flex: 1;
}

.progress {
  flex: 10;
  position: relative;
  display: flex;
  /*  flex-basis: 100%;*/
  height: 5px;
  transition: height 0.3s;
  background: rgba(0, 0, 0, 0.5);
  cursor: ew-resize;
}

.progress__filled {
  width: 50%;
  background: #ffffff;
  flex: 0;
  flex-basis: 0%;
}

/* Tidsstämplar på videon */

.marker {
  position: absolute;
  bottom: 2px;
  height: 10px;
  width: 4px;
  background-color: rgb(255, 255, 255);
  border-radius: 2px;
  pointer-events: auto;
  cursor: pointer;
}
.marker[title]:hover::after {
  content: attr(title);
  position: absolute;
  bottom: 20px; /* Adjust for tooltip positioning */
  left: 50%;
  right: 20px;
  transform: translateX(-50%);
  background-color: rgba(0, 0, 0, 0.75);
  color: #fff;
  padding: 4px 8px;
  border-radius: 4px;
  font-size: 12px;
  white-space: nowrap;
  pointer-events: none;
  z-index: 1000;
  font-size: large;
}

/* unholy css to style input type="range" */

input[type='range'] {
  appearance: none;
  -webkit-appearance: none;
  background: transparent;
  width: 100%;
  margin: 0 5px;
}

input[type='range']:focus {
  outline: none;
}

input[type='range']::-webkit-slider-runnable-track {
  width: 100%;
  height: 8.4px;
  cursor: pointer;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0), 0 0 1px rgba(13, 13, 13, 0);
  background: rgba(255, 255, 255, 0.8);
  border-radius: 1.3px;
  border: 0.5px solid rgba(1, 1, 1, 0.684);
}

input[type='range']::-webkit-slider-thumb {
  height: 15px;
  width: 15px;
  border-radius: 50px;
  background: #ffffff;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -3.5px;
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.578);
}

input[type='range']:focus::-webkit-slider-runnable-track {
  background: #fefffb;
}

input[type='range']::-moz-range-track {
  width: 100%;
  height: 8.4px;
  cursor: pointer;
  box-shadow: 1px 1px 1px rgba(0, 0, 0, 0), 0 0 1px rgba(13, 13, 13, 0);
  background: #ffffff;
  border-radius: 1.3px;
  border: 0.2px solid rgba(1, 1, 1, 0);
}

input[type='range']::-moz-range-thumb {
  box-shadow: 0 0 2 rgba(0, 0, 0, 0.534), 0 0 2 rgba(13, 13, 13, 0.635);
  height: 15px;
  width: 15px;
  border-radius: 50px;
  background: #ffffff;
  cursor: pointer;
}


/*
IFRAME STYLE
*/

iframe html body .ytp-title-channel, .ytp-title-channel-logo {
  display: none;
}